> ## Documentation Index
> Fetch the complete documentation index at: https://api-portal.etoro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List trading history



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/trading/info/trade/demo/history
openapi: 3.0.1
info:
  title: eToro Api
  version: v1.206.0
  description: >-
    eToro’s public API provides access to real-time financial data, trading
    insights, and account management features, allowing developers to integrate
    eToro’s services into their applications. With access to market prices,
    historical data, and social trading information, the API empowers users to
    enhance their trading strategies. Designed for security and scalability, the
    eToro API ensures smooth and reliable integration for a variety of financial
    applications.


    For more details on integrating with eToro's public WebSocket service,
    please refer to the dedicated [WebSocket
    documentation](./websocket/websocket-doc.html).
servers:
  - url: https://public-api.etoro.com
    description: eToro Public API
security: []
tags:
  - name: Agent Portfolios
  - name: Watchlists
  - name: Feeds
  - name: Asset Explorer
  - name: Market Data
  - name: Identity
  - name: Notifications
  - name: PI Data
  - name: Comments
  - name: Trading Demo
  - name: Trading Real
  - name: Users Info
  - name: Deprecated
paths:
  /api/v1/trading/info/trade/demo/history:
    get:
      tags:
        - Trading Demo
      summary: List trading history
      operationId: listTradingHistory
      parameters:
        - name: x-request-id
          in: header
          required: true
          schema:
            type: string
            format: uuid
            example: 7f806a6f-8eca-40f5-8756-87ed7ade3811
          description: A unique request identifier.
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            format: password
            example: lhgfaslk21490FAScVPkdsb53F9dNkfHG4faZSG5vfjndfcfgdssdgsdHF4663
          description: API key for authentication.
        - name: x-user-key
          in: header
          required: true
          schema:
            type: string
            format: password
            example: >-
              eyJlYW4iOiJVbnJlZ2lzdGVyZWRBcHBsaWNhdGlvbiIsImVrIjoiOE5sZ2cwcW5EUVdROUFNWGpXT2lmOWktZnpidG5KcUlqWGJ3WHJZZkpZcldrbG90ZEhvLVBjSWhQaU8xU1ZtMW84aU1WZGZqN2xWNzFjLXFxLmcybXE1dnh4Q1hUT25xaWRUaTFlcEhmVk1fIn0_
          description: User-specific authentication key.
        - name: minDate
          description: The start date of the period you would like to view.
          in: query
          schema:
            type: string
            format: date
          required: true
        - name: page
          description: The page number.
          in: query
          schema:
            type: integer
          required: false
        - name: pageSize
          description: The amount of trades in each page.
          in: query
          schema:
            type: integer
          required: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    netProfit:
                      type: number
                      format: float
                      description: The net profit of the trade
                    closeRate:
                      type: number
                      format: float
                      description: The closing rate of the trade
                    closeTimestamp:
                      type: string
                      format: date-time
                      description: The closing timestamp of the trade
                    positionId:
                      type: integer
                      format: int64
                      description: The position ID of the trade
                    instrumentId:
                      type: integer
                      format: int32
                      description: The instrument ID of the instrument that was traded
                    isBuy:
                      type: boolean
                      description: Indicates if the trade was a buy or sell
                    leverage:
                      type: integer
                      format: int32
                      description: The leverage used in the trade
                    openRate:
                      type: number
                      format: float
                      description: The opening rate of the trade
                    openTimestamp:
                      type: string
                      format: date-time
                      description: The opening timestamp of the trade
                    stopLossRate:
                      type: number
                      format: float
                      description: The stop loss rate of the trade
                    takeProfitRate:
                      type: number
                      format: float
                      description: The take profit rate of the trade
                    trailingStopLoss:
                      type: boolean
                      description: Indicates if the trade had a trailing stop loss
                    orderId:
                      type: integer
                      format: int64
                      description: The order ID of the trade
                    socialTradeId:
                      type: integer
                      format: int64
                      description: The social trade ID of the trade
                    parentPositionId:
                      type: integer
                      format: int64
                      description: The parent position ID of the trade
                    investment:
                      type: number
                      format: float
                      description: The investment amount of the trade
                    initialInvestment:
                      type: number
                      format: float
                      description: The initial investment amount of the trade
                    fees:
                      type: number
                      format: float
                      description: The fees of the trade
                    units:
                      type: number
                      format: float
                      description: The number of units traded

````